Cmake-Version with Ubuntu 16.04
2018-04-17 15:19 - hidden

Status: Closed

Priority: Normal

Category:

Customer: VW Product Issue https://www.cip.audi.de/jira/browse/ACO
Numbers: RE-9461

Department: CARMEQ Affected Products: ADTF 3.3.0

Requester's Priority: Normal Platform: Ubuntu 16.04 64bit

Support Level: 3rd Level Topic: ADTF::Common

Resolution: Product Issue Opened FAQ Links:

Description

Mein Ubuntu 16.04 nutzt standardmafig cmake 3.5.1 aus den Ubuntu-Paketquellen.

Dieses wird von beim Bauen von Filtern akzeptiert, aber cmake wirft dann einen Fehler, da VERSION_GREATER_EQUAL erst mit
cmake 3.7 eingefuhrt wurde.

VIt. sollte man die cmake-Version vorher Gberprifen und wenn mdglich nur auf die Features von 3.5.1 zuriickgreifen, da das der
Standard fur Ubuntu 16.04 ist.

Lésung:
Bug/Produktticket erstellt: https://www.cip.audi.de/jira/browse/ACORE-9461

Die korrekte Information zu CMake steht in der Readme.txt im mitgelieferten Ordner doc.
Hier wird die korrekte bendtigte CMake version genannt: Version: 3.10.2
Available here: https://www.cmake.org/

History

#1 - 2018-04-17 16:54 - hidden

- Status changed from New to In Progress
- Topic set to ADTF::Common

- Customer set to VW

- Department set to CARMEQ

- Affected Products ADTF 3.3.0 added

- Platform Ubuntu 16.04 64bit added

#2 - 2018-04-18 11:00 - hidden
- Status changed from In Progress to Customer Feedback Required

- Resolution set to Known Problem

Hallo Thorsten,

danke fir den Hinweis.

In der Doku wurde beim Release leider eine bereits vorgenommene Aktualisierung Uberlagert. Deswegen steht dort noch die falsche Version.
Das wird korrigiert.

Die korrekte Information zu CMake steht in der Readme.ixt im mitgelieferten Ordner doc.

Hier wird die korrekte bendtigte CMake version genannt:

Version: 3.10.2

Available here: https://www.cmake.org/

Entschuldige die Unannehmlichkeiten.

#3 - 2018-04-23 09:06 - hidden

Hallo Thorsten,

hast Du unsere Information erhalten?
K&nnen wir das Support Ticket damit schlieBen?
https://www.cip.audi.de/jira/browse/ACORE-9461
https://www.cmake.org/
https://www.cmake.org/

Danke und GruB3
Matthias

#4 - 2018-04-23 09:17 - hidden
Hallo Matthias,

ich wiirde an eurer Stelle keine neuere Cmake-Version nutzen als standardmafig beim Ubuntu 16.04 dabei ist, sonst muss sich jeder Nutzer manuell
ein Paket installieren.

Wenn das wegen bendtigter neue Features nicht méglich ist, wirde ich mindestens in den mitgelieferten Cmake-Skripten als erstes die
Cmake-Version prifen und dann einen aussagekréaftigen Fehler ausgeben. Nur in der Doku versteckt, finde ich es schlecht, da sonst jeder zweite
dartber stolpert.

LG
Thorsten

#5 - 2018-04-24 10:46 - hidden

- Status changed from Customer Feedback Required to In Progress

@Thosten: Danke fur den Hinweis/Vorschlag.
@Benedict: Bitte wie besprochen nochmal prifen ob wir dies schon angesto3en haben.

Danke.

#6 - 2018-04-24 14:00 - hidden

Hallo Thorsten,

leider sind wir im Zuge der Umstellung auf Modern CMake an die héhere Version gebunden. Deinen Unmut dartiber kann ich aber voll und ganz
verstehen.

Wir sollten aber eine Uberpriifung in der ADTFConfig.cmake einbauen, die eben solche Fehler unterbinden bzw. einen aussagekraftigen Fehler
auswirft.

@Matthias: Bitte erstelle hierzu ein Bugticket und weise es mir direkt zu

#7 - 2018-04-24 14:00 - hidden

- Status changed from In Progress to Customer Feedback Required

#8 - 2018-04-25 08:52 - hidden
In der Cmakelists.ixt flr die Beispiele vom ADTF 3.0.3 steht Gbrigens
if(WIN32)

cmake_minimum_required(VERSION 3.5.2 FATAL_ERROR)
endif(WIN32)

)

#9 - 2018-04-25 10:25 - hidden

- Resolution changed from Known Problem to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9461
- Support Level changed from 2nd Level to 3rd Level

Hallo Thorsten,

wir haben gerade das (BUG) Produktticket ACORE-9461 fur die Anfrage erstellt.
Deinen Hinweis zur Cmakelists.txt haben wir direkt mit aufgenommen.

Kénnen wir das Support Tickt hierzu dann schlieBen?
Weitere Bearbeitung findet im Produktticket statt.

Grui3
Matthias

#10 - 2018-04-25 13:16 - hidden
OK
#11 - 2018-04-25 13:56 - hidden

- Subject changed from Cmake-Version unter Ubuntu 16.04 to Cmake-Version with Ubuntu 16.04

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

Support Ticket kann geschlossen werden

#12 - 2018-05-02 15:14 - hidden

- Status changed from To Be Closed to In Progress

@°Florian:

Hmm, ich denke beim Kunden reicht sogar ein CMake 2.6, das ist zumindest der Check den CMake in unsere Package Configs generiert. Wir wissen
aber, dass wenn man Qt 5.9 verwenden will, das es mit CMake < 3.10 Probleme gibt. Die 3.5.1 musste fUr den Rest aber auf jeden Fall reichen. Jetzt

ist die Frage ob wir unsere Beispiele anpassen, denn so einen harten Check wirde ich ungern einbauen.

#13 - 2018-05-02 15:16 - hidden

Ah jetzt seh ich es erst, ja in der ADTFConfig.cmake sollte der Version Check angepasst werden.

#14 - 2018-05-02 15:36 - hidden

- Status changed from In Progress to To Be Closed

Habs nochmal nachgetestet, wir brauchen an anderen Stellen noch CMake 3.10, ich werde daher den check in die ADTFConfig.cmake einbauen.

#15 - 2018-05-22 08:19 - hidden
- Project changed from 20 to Public Support

- Private changed from Yes to No

#16 - 2018-05-23 14:07 - hidden
- Status changed from To Be Closed to Closed
